# Package edu.isi.pegasus.common.logging

Interface Summary
Event
LogFormatter: The interface that defines how the messages need to be formatted for logging

Class Summary
LogFormatterFactory: A factory class to load the appropriate implementation of LogFormatter as specified by properties.
LoggingKeys: Some predifined logging keys to be used for logging.
LogManager: The logging class that to log messages at different levels.
LogManagerFactory: A factory class to load the appropriate implementation of Logger API as specified by properties.
TestLogFormatter: Test program to test out LogFormatter API

Exception Summary
LogFormatterFactoryException: Class to notify of failures while instantiating Log Formatter implementations.
LogManagerFactoryException: Class to notify of failures while instantiating Log Factory implementations.